package s_com.udojava.evalex;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.math.BigDecimal;
import s_com.udojava.evalex.Expression;

public abstract class Operator {
  private String oper;
  
  private int precedence;
  
  private boolean leftAssoc;
  
  public Operator(String oper, int precedence, boolean leftAssoc) {
    this.oper = oper;
    this.precedence = precedence;
    this.leftAssoc = leftAssoc;
  }
  
  public String getOper() {
    return this.oper;
  }
  
  public int getPrecedence() {
    return this.precedence;
  }
  
  public boolean isLeftAssoc() {
    return this.leftAssoc;
  }
  
  public abstract BigDecimal eval(BigDecimal paramBigDecimal1, BigDecimal paramBigDecimal2);
}
